Subject: bug#65602: 30.0.50; eshell-test/{elisp,subcommand}-reset-in-pipeline fails intermittently on macOS

From: Stefan Kangas <[email-masked]>
Date: Fri, 15 Sep 2023 05:14:56 -0700

Jim Porter <[email-masked]> writes:

> I pushed some minor changes to the logging (cadd3326625), and a
> mostly-unrelated fix to Eshell's iterative evaluation that I noticed
> from perusing the logs (one day I should really just rip that out and
> replace it with generator.el...).
>
> In particular, I added logging for the actual command-line args that we
> pass to external commands. That should help to narrow down whether we're
> calling the subprocess correctly, or if there's some issue where the
> expected output gets lost on the way somewhere...

After several reruns, I was able to reproduce some additional failures,
but they are getting harder to reproduce.  I just switched to using a
native-comp build, and I'm not sure if that will affect the result.

I've sent you these log files off-list:

* -rw------- 1 sk staff 3.8K 2023-09-15 13:38 esh-var-tests.log.gz
* -rw------- 1 sk staff  877 2023-09-15 13:38 eshell-tests.log.gz